import Vue from 'vue';
import { IDayInfo } from './CalendarDayGrid.base';
import { ICalendarGridRowProps } from './CalendarGridRow';
export interface ICalendarGridDayCellProps extends ICalendarGridRowProps {
    day: IDayInfo;
    dayIndex: number;
}
export declare const CalendarGridDayCell: import("vue/types/vue").ExtendedVue<Vue, {
    isHovering: boolean;
    isPressing: boolean;
}, {
    navigateMonthEdge(ev: KeyboardEvent, date: Date): void;
    onMouseOverDay(ev: MouseEvent): void;
    onMouseOutDay(ev: MouseEvent): void;
    onMouseDownDay(ev: MouseEvent): void;
    onMouseUpDay(ev: MouseEvent): void;
    onDayKeyDown(ev: KeyboardEvent, day: IDayInfo): void;
}, {
    cornerStyle: string;
    isNavigatedDate: boolean;
    ariaLabel: string;
}, {
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<import("./CalendarDayGrid.types").ICalendarDayGridStyleProps, import("./CalendarDayGrid.types").ICalendarDayGridStyles> | undefined;
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    className?: string | undefined;
    classNames: import("@fluentui/style-utilities").IProcessedStyleSet<import("./CalendarDayGrid.types").ICalendarDayGridStyles>;
    strings: import("@fluentui/date-time-utilities").ICalendarStrings;
    selectedDate: Date;
    navigatedDate: Date;
    onSelectDate?: void | ((date: Date, selectedDateRangeArray?: Date[] | undefined) => void);
    onNavigateDate?: void | ((date: Date, focusOnNavigatedDay: boolean) => void);
    today?: Date | undefined;
    dateTimeFormatter: import("@fluentui/date-time-utilities").IDateFormatting;
    minDate?: Date | undefined;
    maxDate?: Date | undefined;
    allFocusable?: boolean | undefined;
    animationDirection?: import("..").AnimationDirection | undefined;
    onDismiss?: void | (() => void);
    dateRangeType: import("@fluentui/date-time-utilities").DateRangeType;
    firstDayOfWeek: import("@fluentui/date-time-utilities").DayOfWeek;
    firstWeekOfYear: import("@fluentui/date-time-utilities").FirstWeekOfYear;
    showWeekNumbers?: boolean | undefined;
    restrictedDates?: Date[] | undefined;
    workWeekDays?: import("@fluentui/date-time-utilities").DayOfWeek[] | undefined;
    showCloseButton?: boolean | undefined;
    daysToSelectInDayView?: number | undefined;
    customDayCellRef?: void | ((element: HTMLElement, date: Date, classNames: import("@fluentui/style-utilities").IProcessedStyleSet<import("./CalendarDayGrid.types").ICalendarDayGridStyles>) => void);
    weeksToShow?: number | undefined;
    labelledBy?: string | undefined;
    lightenDaysOutsideNavigatedMonth?: boolean | undefined;
    getMarkedDays?: Date[] | ((startingDate: Date, endingDate: Date) => Date[]) | undefined;
    markedDays?: Date[] | undefined;
    weeks: IDayInfo[][];
    week: IDayInfo[];
    weekIndex: number;
    weekCorners?: import("./CalendarDayGrid.base").IWeekCorners | undefined;
    ariaHidden?: boolean | undefined;
    rowClassName?: string | undefined;
    ariaRole?: string | undefined;
    activeDescendantId: string;
    calculateRoundedStyles?: string | ((classNames: import("@fluentui/style-utilities").IProcessedStyleSet<import("./CalendarDayGrid.types").ICalendarDayGridStyles>, above: boolean, below: boolean, left: boolean, right: boolean) => string) | undefined;
    getDayInfosInRangeOfDay?: IDayInfo[] | ((dayToCompare: IDayInfo) => IDayInfo[]) | undefined;
    getRefsFromDayInfos?: ((dayInfosInRange: IDayInfo[]) => (HTMLElement | null)[]) | (HTMLElement | null)[] | undefined;
    day: IDayInfo;
    dayIndex: number;
}>;
//# sourceMappingURL=CalendarGridDayCell.d.ts.map